---
title: "Get IPS Inspection Allowlist from the Manager"
slug: "get-ips-inspection-allowlist-from-the-manager"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:37:28Z
published: 2026-09-23T09:37:28Z
canonical: "docs.trellix.com/get-ips-inspection-allowlist-from-the-manager"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get IPS Inspection Allowlist from the Manager
This URL retrieves the domain name exceptions from the Manager.
## Resource URL
GET /domainnameexceptions/ipsinspectionallowlist
## Request Parameters
URL Parameters: None
## Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| dneDetail | List of domains from the IPS Inspection allowlist | ObjectList |
Details of dneDetail :
| Field Name | Description | Data Type |
| --- | --- | --- |
| id | Domain name exception id | Number |
| state | State of the domain name exception (Enabled/Disabled) | String |
| domainName | Name of the domain | String |
| comment | Description of the exception | String |
| domainType | Type of the domain (Custom/Default) | String |
| lastUpdated | Details of the time and username under which the domain name exception was added | String |
## Example
**Request**
GET [https:///sdkapi/domainnameexceptions/ipsinspectionallowlist](https://lt;NSM_IPgt;/sdkapi/domainnameexceptions/ipsinspectionwhitelist)
**Response**
```
{
'dneDetail': [{
'id': 10118,
‘state’: ‘E’,
'domainName':'www.google.com', ‘comment’: ‘Google’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:35 (admin)'
},
{
'id': 10119,
‘state’: ‘E’,
'domainName':'www.abc.com', ‘comment’: ‘abc domain’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:39 (admin)'
},
{
'id': 10120,
‘state’: ‘D’,
'domainName':'www.yahoo.com', ‘comment’: ‘ ’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:45 (admin)'
}]
}
```
## Error Information
None